/*****************************************************************************/
/*                                                                           */
/*							  AddSigma()                                     */
/*                                                                           */
/*		Function to add time domain noise terms                              */
/*                                                                           */
/*		Revision record:                                                     */
/*			05/03/97	Adapted from AddSigma() of STABLE_A.C                */
/*			01/01/98	Changes for MS VC++ compatibility & warnings         */
/*                                                                           */
/* (c) Copyright 1992-8  Hamilton Technical Services  All Rights Reserved    */
/*                                                                           */
/*****************************************************************************/

#include "frequenc.h"

float AddSigma(float fSigma[])
{
	return (float)(sqrt(fSigma[0]*fSigma[0]+fSigma[1]*fSigma[1]+fSigma[2]*fSigma[2]+
		fSigma[3]*fSigma[3]+fSigma[4]*fSigma[4]));
}

/*****************************************************************************/
